Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.whowas
Class EPPWhoWasHistory

    java.lang.Object
      com.verisign.epp.codec.whowas.EPPWhoWasHistory

All Implemented Interfaces:
  EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

    public class EPPWhoWasHistory

extends java.lang.Object
implements EPPCodecComponent

Represents the <whowas:history> element returned as child element of <whowas:infData> element in the EPP WhoWas Response. This class will contain list of one or more `EPPWhoWasRecord`. Each `EPPWhoWasRecord` will be represented by <whowas:rec:> element.

Version:
  1.0
Author:
  Deepak Deshpande
See Also:
  `EPPWhoWasInfoResp`, `EPPWhoWasRecord`, Serialized Form

Constructor Summary
`EPPWhoWasHistory()` Default constructor

Method Summary
`void` | `addRecord(EPPWhoWasRecord aEPPWhoWasRec)` Adds a `aEPPWhoWasRec` to the list of records.
`java.lang.Object` | `clone()` Does a deep clone of the `EPPWhoWasHistory` instance.
`void` | `decode(org.w3c.dom.Element aElement)` Decodes the `EPPWhoWasHistory` from the `aElement` DOM Element tree and creates list of `EPPWhoWasRecord` objects.
`org.w3c.dom.Element` | `encode(org.w3c.dom.Document aDocument)` Returns the Root DOM Element tree created from `EPPWhoWasHistory` instance.
`boolean` | `equals(java.lang.Object o)` Compares two `EPPWhoWasHistory` instances.
`java.util.List` | `getRecords()` Returns the records
`void` | `setRecords(java.util.List aRecords)` Sets records value to `aRecords`.

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EPPWhoWasHistory

    public EPPWhoWasHistory()

  Default constructor

Method Detail

### decode

    public void decode(org.w3c.dom.Element aElement)
                throws EPPDecodeException

  Decodes the `EPPWhoWasHistory` from the `aElement` DOM Element tree and creates list of `EPPWhoWasRecord` objects.

  Specified by:
    `decode` in interface `EPPCodecComponent`
  Parameters:
    `aElement` - - Root DOM Element to decode `EPPWhoWasHistory` from.
  Throws:
    `EPPDecodeException` - Unable to decode aElement

### encode

    public org.w3c.dom.Element encode(org.w3c.dom.Document aDocument)
                               throws EPPEncodeException

  Returns the Root DOM Element tree created from `EPPWhoWasHistory` instance.

  Specified by:
    `encode` in interface `EPPCodecComponent`
  Parameters:
    `aDocument` - - DOM Document that is being built. Used as an Element factory.
  Returns:
    the Root DOM Element tree created from `EPPWhoWasHistory` instance.
  Throws:
    `EPPEncodeException` - - Unable to encode `EPPWhoWasRecord` instance.

### addRecord

    public void addRecord(EPPWhoWasRecord aEPPWhoWasRec)

  Adds a `aEPPWhoWasRec` to the list of records.

  Parameters:
    `aEPPWhoWasRec` - EPPWhoWasRec to add
  Throws:
    `java.lang.IllegalArgumentException` - if passed aEPPWhoWasRec is null

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Does a deep clone of the `EPPWhoWasHistory` instance.

  Specified by:
    `clone` in interface `EPPCodecComponent`
  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    Cloned instance
  Throws:
    `java.lang.CloneNotSupportedException` - standard Object.clone exception

### equals

    public boolean equals(java.lang.Object o)

  Compares two `EPPWhoWasHistory` instances.

  Overrides:
    `equals` in class `java.lang.Object`
  Returns:
    `true` if equal;`false` otherwise.

### getRecords

    public java.util.List getRecords()

  Returns the records

  Returns:
    the records

### setRecords

    public void setRecords(java.util.List aRecords)

  Sets records value to `aRecords`.

  Parameters:
    `aRecords` - the records to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.